Module javafx.base
Package javafx.beans.property

## Class SimpleMapProperty<K,​V>

- java.lang.Object
- - javafx.beans.binding.MapExpression<K,​V>
  - - javafx.beans.property.ReadOnlyMapProperty<K,​V>
    - - javafx.beans.property.MapProperty<K,​V>
      - - javafx.beans.property.MapPropertyBase<K,​V>
        - - javafx.beans.property.SimpleMapProperty<K,​V>

- Type Parameters:
    `K` - the type of the key elements of the `Map`
    `V` - the type of the value elements of the `Map`
  All Implemented Interfaces:
    `Map<K,​V>`, `Observable`, `Property<ObservableMap<K,​V>>`, `ReadOnlyProperty<ObservableMap<K,​V>>`, `ObservableMapValue<K,​V>`, `ObservableObjectValue<ObservableMap<K,​V>>`, `ObservableValue<ObservableMap<K,​V>>`, `WritableMapValue<K,​V>`, `WritableObjectValue<ObservableMap<K,​V>>`, `WritableValue<ObservableMap<K,​V>>`, `ObservableMap<K,​V>`
  Direct Known Subclasses:
    `ReadOnlyMapWrapper`

      public class SimpleMapProperty<K,​V>
      extends MapPropertyBase<K,​V>

  This class provides a full implementation of a `Property` wrapping an `ObservableMap`.
  Since:
    JavaFX 2.1
  See Also:
    `MapPropertyBase`

- - ### Property Summary

    - ### Properties inherited from class javafx.beans.property.MapPropertyBase

      `empty, size`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleMapProperty()` | The constructor of `SimpleMapProperty`
    `SimpleMapProperty​(Object bean, String name)` | The constructor of `SimpleMapProperty`
    `SimpleMapProperty​(Object bean, String name, ObservableMap<K,​V> initialValue)` | The constructor of `SimpleMapProperty`
    `SimpleMapProperty​(ObservableMap<K,​V> initialValue)` | The constructor of `SimpleMapProperty`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.MapPropertyBase

      `addListener, addListener, addListener, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.MapProperty

      `bindBidirectional, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyMapProperty

      `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods inherited from class javafx.beans.binding.MapExpression

      `asString, clear, containsKey, containsValue, entrySet, get, getSize, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keySet, mapExpression, put, putAll, remove, size, valueAt, valueAt, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleMapProperty

          public SimpleMapProperty()

      The constructor of `SimpleMapProperty`

    - #### SimpleMapProperty

          public SimpleMapProperty​(ObservableMap<K,​V> initialValue)

      The constructor of `SimpleMapProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleMapProperty

          public SimpleMapProperty​(Object bean,
                                   String name)

      The constructor of `SimpleMapProperty`
      Parameters:
        `bean` - the bean of this `MapProperty`
        `name` - the name of this `MapProperty`

    - #### SimpleMapProperty

          public SimpleMapProperty​(Object bean,
                                   String name,
                                   ObservableMap<K,​V> initialValue)

      The constructor of `SimpleMapProperty`
      Parameters:
        `bean` - the bean of this `MapProperty`
        `name` - the name of this `MapProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`